<div class="flex h-screen overflow-hidden" @fadeInOut> 
  <!-- 왼쪽 사이드바 -->
  <app-side-bar> 
    <div slot="contents" class="flex flex-col h-full">
      <div class="flex h-16 items-center border-b border-[#E5E7EB] px-8">
        <p class="text-2xl font-bold leading-9 text-label">PLANBIZ</p>
      </div> 
      <div class="flex-1 h-full overflow-y-auto">
        <div class="sticky top-0"> 
            <div class="flex-1 w-full px-6">
              <div class="flex flex-col items-start w-full pt-4 pb-6">
                <div class="mb-2 px-2 text-xs font-semibold text-[#9CA3AF]">가입한 프로젝트</div>
                  @for (project of projects(); track $index) {
                    @if(project.myRole === "GUEST"){
                      <a class="w-full p-2 text-start text-sm font-semibold leading-6 text-[#374151] hover:rounded-md hover:bg-[#F9FAFB] hover:text-primary" 
                      [routerLink]="['/projects', project.id]"
                      routerLinkActive="!text-primary !bg-[#F9FAFB]"
                      [routerLinkActiveOptions]="{exact: false}"> {{ project.name }} </a>
                     }
                  } 
              </div>
              <div class="flex flex-col w-full">
                <div class="mb-2 px-2 text-xs font-semibold leading-6 text-[#9CA3AF]">내 프로젝트</div> 
                @for (project of projects(); track $index) {
                  @if(project.myRole === "MASTER"){
                    <a class="w-full p-2 text-start text-sm font-semibold leading-6 text-[#374151] hover:rounded-md hover:bg-[#F9FAFB] hover:text-primary" 
                    [routerLink]="['/projects', project.id ]"
                    routerLinkActive="!text-primary !bg-[#F9FAFB]"
                    [routerLinkActiveOptions]="{exact: false}"> {{ project.name }} </a>
                   }     
                }    
              </div>
            </div> 
        </div>
      </div> 
      <div class="h-16 p-4">
        <app-button [fill]="'outline'" (click)="openProjectRegister(true)" >새로운 프로젝트 시작하기</app-button>  
      </div>
    </div>
  </app-side-bar> 

   <!-- router view -->
  <div class="w-full h-full">
    <router-outlet />
  </div>
</div>
 